<?php
session_start();

//RESTRICCIÃÂN DE ACCESO A TRABAJADOR (ACCESO INDIVIDUAL) 
if (isset($_SESSION['tipousuario']))
		{if ($_SESSION['tipousuario']=='1')
		header ('location:menu_personal.php');
		}
if  (trim($_SESSION['nombre_validar'])=='') header ('location:index.php');
$accion=$_REQUEST["accion"];
$codigo=$_REQUEST["codigo"];
$tabla=$_REQUEST["tabla"];
$detalle=$_REQUEST["detalle"];
require('fphp.php');
$enlace=cargar_conexion();
$consulta=mysqli_query($enlace,"select * from periodo where id='".$_SESSION['id_validar']."' order by nomina,periodo desc limit 1");
if (mysqli_num_rows($consulta)!=0){
	$row=mysqli_fetch_array($consulta);
	$per=mostrar_fecha($row['desde']).' al '.mostrar_fecha($row['hasta'])." (Nom:".$row['nomina'].")";
} else $per=''; 
menu();
$entra=0;
echo "<b>Opciones:</b> &nbsp;&nbsp;<img border = 0 src='images/b_elimina.png' alt='Elimina'>:Eliminar Tasa	
</font><hr>";
echo "<h2>Actualizaci&oacute;n de Intereses del BCV</h2><br>";

////////////////////////////////////////////  grabar documento
if ($_POST['bandera']==1) {
		$fec = substr($_POST['fec'],2,4)."-".substr($_POST['fec'],0,2)."-01" ;
		$consulta	 ="insert into tab_interes (fec,mon) values ";
		$consulta 	.="('".$fec."','".$_POST['mon']."')";
		$resultado = mysqli_query($enlace, $consulta)  or die($consulta . mysqli_error($enlace));
		$men="Registro Grabado..";
}

////////////////////////////////////////////  eliminar item
if ($accion==2) {
		$consulta="delete from tab_interes where id='".$codigo."'";
		$resultado = mysqli_query($enlace, $consulta)  or die($consulta . mysqli_error($enlace));
		$men="Registro Eliminado..";
}


////////////////////////////////////////////  pantalla inicial
if (!$_POST || $_POST['bandera']==1) {
?>	
	<form name = 'entrada' action = '<? echo $_SERVER['PHP_SELF']; ?>' method = 'POST' onSubmit='return validar_comprobante(this)'>
		<input type = 'hidden' name = 'bandera' value = '1'>
		<table align='center'>
			<tr>
				<td align='right'><b>Fecha (MMAAAA)?</b></td>
				<td ><input type = 'text' name='fec' size='20' maxlength='6'>
				</font></td>
			</tr>
			<tr>
				<td align='right'>Interes?</td>
				<td ><input type = 'text' name='mon' size='20' >
				</font></td>
			</tr>
			<tr>
				<td colspan=2>&nbsp;</td>
			</tr>	
			<tr>
				<td align='right'>Opci&oacute;n:</font></td>
				<td><input type = 'submit' value = 'Grabar Interes' onclick='return validar_grabar()'></td>
			</tr>
		</table>
		<center><font color='red'><b><?echo $men; ?></b></font></center>	
		<script language='javascript' type='text/javascript'>
			document.entrada.fec.focus();
		</script>
	</form>
	
<? } 

	$consulta="select * from tab_interes order by fec desc";
	$resultado = mysqli_query($enlace,$consulta) or die($consulta . mysqli_error($enlace));
	$num_rows = mysqli_num_rows($resultado);
	if ($num_rows != 0){
		$total=0;$linea=0;
		echo "<table border=1 cellpadding=2 cellspacing=0 align='center'>";
		echo "<tr bgcolor='#00BFFF' >";
		echo "<th ali = center><font face='verdana' size=2> #</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Fecha (AAAA-MM)</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Interes</font></th>";
		echo "<th ali = center><font face='verdana' size=2> Elegir </font></th></tr>";
			for ($cont=0;$cont<$num_rows;$cont++) {
				$linea++;
				$color=!$color;
				if ($color) echo '<tr bgcolor="#f6f6f6" >';
				else echo '<tr bgcolor="#D8D8D8">';
				$row = mysqli_fetch_array($resultado);
				echo "<td width='50'>".$linea."</td>";
				echo "<td width='100'>".substr($row['fec'],0,7)."</td>";
				echo "<td width='100' align='right'>".number_format($row['mon'],2)."</td>";
				echo "<td width='30' align='center'><a onclick='return validar_elimina()' href='".$_SERVER['PHP_SELF']."?accion=2&codigo=".$row['id']."'><img border = 0 src='images/b_elimina.png' alt='Eliminar'></a></td>";
				echo '</tr>';
			}
		echo '</tr></table></form>';
	}  		
	mysqli_free_result($resultado);	
	mysqli_close($enlace); 

    echo "</font></body>";
	echo "</html>";
?>